<form id="create-post-form">
    <label for="theme">Theme:</label>
    <input type="text" id="theme" placeholder="Enter the theme">

    <label for="content">Content:</label>
    <textarea id="content" placeholder="Enter the content"></textarea>

    <label for="author">Author:</label>
    <input type="text" id="author" placeholder="Enter your name">

    <button type="button" onclick="createNewPost()">Create Post</button>
</form>
<script>
    async function createNewPost() {
        const theme = document.getElementById('theme').value;
        const content = document.getElementById('content').value;
        const author = document.getElementById('author').value;

        const response = await fetch('/api/posts', {
            method: 'POST',
            headers: {
                'Content-Type': 'application/json'
            },
            body: JSON.stringify({ theme, content, author })
        });

        const data = await response.json();

        if (response.status === 200) {
         window.location.href = '/pages/posts';
        } else {
    // Обработка ошибки
    }
    }
</script>